Compiling Python scripts into a plugin
@ivelin.peychev wrote: Is this possible? Do I compile to dll then rename to rhi or what? Thanks. Note: Talking about Rhino6 Posts: 7 Participants: 3 Read full topic
View ArticleInternalize Timer in C# - Simple Counter
@Antonio_Cersosimo wrote: Hi, there I was wondering if someone can guide me a bit on how to script an internal timer on the GH C# Component, I remember there was already a discussion in the old forum...
View Articlers.AutosaveInterval() function has a bug
@603419608 wrote: An error is reported when executing the example file of the rs.AutosaveInterval() function,like this, 111111111111.jpg1065x591 41.8 KB I found that the ”save “in the...
View ArticlePass additional value with .Click event
@mikhail wrote: Is there a way to pass a value with a button click? I have a lot of buttons (17) in my form, and all I need them to give me is a specific value. self.WoodButton = forms.Button(Text =...
View ArticleAddOptionColor() problem on Mac Rhino
@clement wrote: Hi @Alain, @dan, there seems to be a bug in Mac Rhino using Rhino.Input.Custom.OptionColor(color). The color swatch is displayed properly but the text beside it is missing. If the...
View ArticleMouse Events without timer on C# or GH_Python Component
@Antonio_Cersosimo wrote: Hi, I was wondering if there is any way of accessing mouse events in the C# or GH_Python components, without using a timer or without ExpireSolution(), I been experiencing...
View ArticleConstruct Mesh GHPython
@tim.stark wrote: Hello everyone, I have trouble constructing a mesh in Python. import Rhino.Geometry as rg vertices = [] faces = [] for i in range(len(iMeshes)):...
View Articlers.BrowseForFolder() non-functional?
@Helvetosaur wrote: OK, I see this YT item: https://mcneel.myjetbrains.com/youtrack/issue/MR-3251 But the issue has been closed, fixed for Mac 6 WIP, however it doesn’t appear to be fixed in 5.5.2 -...
View ArticleAdd and Remove elements from Eto
@mikhail wrote: I have a Modeless form, and I want to change the contents of it to something else depending on what button is pushed. I want this section over here to change to other things lines...
View ArticleRandom indices order in Python
@yinglinw wrote: Hi everyone, I’m trying to select every other curve and change them to green through python but it turned out the curves are not selected in order. I was assuming it starts from the...
View ArticleMulti selection in ListBox()
@mikhail wrote: Is there any way to enable multi-selection inside of the list box? Or maybe there is some other controller that has that available? Posts: 2 Participants: 2 Read full topic
View ArticlePython Rhinoceros how to sendkeys function
@haipham.3d wrote: I have try guide for python but iron python seem dont have win32com library. How to simulate send keyboard ? thanks Posts: 3 Participants: 3 Read full topic
View ArticlePython export script use "Space" in file name
@kyle_faulkner wrote: I have a python script that exports a block and uses a name specified earlier in the script, as shown below rs.Command("!_-Export “+filename+” _Enter") This works fine, but if...
View ArticleHelp show line when mouse move event
@xiix.xoox wrote: I want to show line to location of mouse, when mouse move line to redraw. I can’t do that. Please help me. import Rhino import rhinoscriptsyntax as rs import scriptcontext as sc def...
View ArticleHow to get ObjectId in multiple Objects
@xiix.xoox wrote: I select multi object in group object. I want to show ObjectId of result but not. How can do that. import Rhino import rhinoscriptsyntax as rs import scriptcontext as sc...
View ArticlePython Script works in Rhino, doesn´t work in Grasshopper
@pmora1990 wrote: I have achieved a shape in Rhino using Rhino Python Editor. I want to achieve the same shape using the same script in Grasshopper, however, it doesn´t work as intended. I´ve tried...
View ArticleIs it possible to select the edge of a polysurface inside a block?
@siemen wrote: Hi Guys, The title kind of says it all. I found this code from Mitch’s old topic and am trying to select the edge of a polysurface which is inside a block. Is this possible? import...
View ArticleCollapse form - crashing
@mikhail wrote: I am trying to get collapsable form implemented. And I am having a crash issue caused by lines 69 and 75. When the dialog tries to get resized. If I comment those out they “work” as in...
View ArticlePlot vector PDF with transparency
@lando.schumpich wrote: Hello, I am wondering if there is a way to plot hatches to pdfs with transparency? I can only get this to work with rasterized PDFs or saving as a PNG. Is this a limitation in...
View ArticleWanting to use ghpythonlib.parallel.run to speed up boolean operations
@djzelenko wrote: I’m trying to harness the power of ghpythonlib.parallel.run to speed up a bunch of boolean differencing I’m having to do on a project, however I’m not great at scripting. I’m getting...
View Article